Skip to main content
GET
/
project-budget-expenses
List project budget expenses
curl --request GET \
  --url https://www.ruddr.io/api/workspace/project-budget-expenses \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3f8a1c2d-5b7e-4a9f-8c6d-1e2f3a4b5c6d",
      "billableAmount": 2500,
      "nonBillableAmount": 750,
      "createdAt": "2026-01-14T09:32:11.452Z",
      "expenseCategory": {
        "id": "7d4e9f2a-1c3b-4d5e-6f7a-8b9c0d1e2f3a",
        "name": "Airfare"
      },
      "project": {
        "id": "a1b2c3d4-e5f6-7a8b-9c0d-e1f2a3b4c5d6",
        "name": "Website Redesign",
        "client": {
          "id": "f9e8d7c6-b5a4-3210-fedc-ba9876543210",
          "name": "Acme Corporation"
        }
      }
    }
  ],
  "hasMore": false
}
The budget for an expense category on a project. Only available for projects that are using a budget and the budget mode is either “detailed” or “aggregated”.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

projectId
string

A project ID (uuid) used to filter objects for a specific project.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.